commit:     b5e752c7db52c294a66dd01b705d4c9a9439be75
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 18 21:38:18 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Sep 18 21:42:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5e752c7

dev-python/gst-python: bump to 1.12.3 for upstream bug fixes

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-python/gst-python/Manifest                 |  1 +
 dev-python/gst-python/gst-python-1.12.3.ebuild | 49 ++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/gst-python/Manifest b/dev-python/gst-python/Manifest
index 6171f0b7012..2b2eb85ce27 100644
--- a/dev-python/gst-python/Manifest
+++ b/dev-python/gst-python/Manifest
@@ -2,3 +2,4 @@ DIST gst-python-0.10.22.tar.bz2 632651 SHA256 
8f26f519a5bccd770864317e098e5e307f
 DIST gst-python-1.10.3.tar.xz 389748 SHA256 
bdfa2d06dfe0ce68f638b04fed6890db506416c1dcf1279e83458269d719a4e8 SHA512 
346fae905f5d0d3e6295c4752351e629871e9373f2bf7e1acff0778f0935f81dd6043ae0d9ae774919a19ad8bd19bd9ea3456a3a1a381c9e63e5ad2ee5bf1530
 WHIRLPOOL 
4540cc8bda15dd4a4b07bf67d440c42c41b4165b92e417abcfc3f84495c7ca712621976dd3db9ce7589ef6fa691afefbefbfe407ef765e888a06dc0a6733d842
 DIST gst-python-1.10.5.tar.xz 390188 SHA256 
ccc7b63413c29196401488ca2af599ef8bc9791ee3512c7483c9f87294b3a77e SHA512 
93120156b5af8914b9190ba0f9996f2bce860889dbd92c0a7b41213af36efd880e0f94f295df07c27d83b5a79a1874dacb035943d3f51a93cfa484d38bd6fd4d
 WHIRLPOOL 
662a46e9c2d9329527d5aecbf3a73564caee515279e4da84195769abdc8fe775ee96e5baeb856dd86394b1d035ee354ca310f9950c8ffe41e8f85e8bbf0165bf
 DIST gst-python-1.12.2.tar.xz 387072 SHA256 
f4cc32ad46a653e1ae2f27ac2a16078b00075c9106b2784a1a8d1f31c5069e47 SHA512 
a588827aadd1f16b99683725b12dfdb6edc146143cf702bdff229dcacbc5accb3193489387ba8670b68fbfdbb727210f05d20c1457d3817116c44b04ebc92918
 WHIRLPOOL 
d7127fbf13c2bde8c5d325609fc7315d88c0b9472e4caaceac69fc79c53d7bae1eb6f6a0573fd668c1a9847b9c658f3e7126abbc5b8005de1b18d4128554b445
+DIST gst-python-1.12.3.tar.xz 388220 SHA256 
c3f529dec1294633132690806703b80bad5752eff482eaf81f209c2aba012ba7 SHA512 
f4d0d09a5b068e79496aa5e0d73f09af2d1e929cf6f80874dba8396950952b795a30f5a33c18b42a650f173c80ce342f959d497aa0d9d281bbe36507a71d1b4a
 WHIRLPOOL 
2903fe2391173c731ec91a3c750c99651dece4ee6789059d6235b4e1e748b81e65a50e6bb77835e5d5a60ad315c3225998da3b44b3141fc729448c36b1ff949a

diff --git a/dev-python/gst-python/gst-python-1.12.3.ebuild 
b/dev-python/gst-python/gst-python-1.12.3.ebuild
new file mode 100644
index 00000000000..b022282bed4
--- /dev/null
+++ b/dev-python/gst-python/gst-python-1.12.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python{3_4,3_5,3_6} )
+
+inherit eutils python-r1
+
+DESCRIPTION="A Python Interface to GStreamer"
+HOMEPAGE="https://gstreamer.freedesktop.org/";
+SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz";
+
+LICENSE="LGPL-2"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=dev-python/pygobject-3:3[${PYTHON_USEDEP}]
+       >=media-libs/gstreamer-${PV}:1.0[introspection]
+       >=media-libs/gst-plugins-base-${PV}:1.0[introspection]
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+       prepare_gst() {
+               mkdir -p "${BUILD_DIR}" || die
+       }
+       python_foreach_impl prepare_gst
+}
+
+src_configure() {
+       ECONF_SOURCE="${S}" python_foreach_impl run_in_build_dir econf
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       python_foreach_impl run_in_build_dir default
+       prune_libtool_files --modules
+       einstalldocs
+}

Reply via email to